package com.red.circle.common.business.core.enums;


import com.red.circle.framework.dto.IResponseErrorCode;

/**
 * 用户相关业务code.
 *
 * @author pengliang on 2019/10/19 23:25
 */
public enum UserErrorEnum implements IResponseErrorCode {

  /**
   * 用户未注册.
   */
  USER_NOT_REGISTERED(4000, "User not registered"),

  /**
   * 用户已注册.
   */
  USER_REGISTERED(4001, "User registered"),

  /**
   * 用户昵称已被注册.
   */
  USER_NICKNAME_REGISTERED(4002, "User nickname has been registered"),

  /**
   * 账号或密码错误.
   */
  ACCOUNT_OR_PASSWORD_NOT_MATCH(4004, "Incorrect username or password"),
  /**
   * 密码不可为空.
   */
  PASSWORD_NOT_EMPTY(4005, "Password cannot be empty"),
  /**
   * 认证参数不可为空.
   */
  AUTHENTICATION_PARAMETER_NOT_NULL(4006, "Authentication parameters cannot be empty"),
  /**
   * 密码不符合规范.
   */
  PASSWORD_DOES_NOT_MEET_SPECIFICATIONS(4007, "Password does not meet specifications"),
  /**
   * 两次密码输入不匹配.
   */
  PASSWORD_TWO_INPUTS_DO_NOT_MATCH(4008, "Password twice input does not match"),

  /**
   * 没有找到用户信息.
   */
  USER_INFO_NOT_FOUND(4009, "User info not found"),

  /**
   * 用户手机号码不匹配.
   */
  USER_PHONE_NOT_MATCH(4010, "User's mobile number does not match"),
  /**
   * 不能免费使用.
   */
  NOT_FREE_TRIAL(4011, "Sorry, you do not meet the conditions for using the free trial"),

  /**
   * 用户已退出配对池.
   */
  USER_OUT_VIDEO_POOL(4012, "The user has left the pairing pool"),

  /**
   * 用户已被占用.
   */
  USER_OCCUPY(4013, "User already occupied"),

  /**
   * 没有匹配.
   */
  NOT_MATCH(4014, "No match"),

  /**
   * 历史聊天.
   */
  HISTORY_CHAT(4015, "history chat"),

  /**
   * 当前任务未完成.
   */
  INCOMPLETE_TASK(4016, "Incomplete task"),

  /**
   * 已领取奖励.
   */
  AWARD_RECEIVED(4017, "Award received"),

  /**
   * 账号封禁.
   */
  ACCOUNT_ARCHIVE(4018, "account archive"),

  /**
   * 第三方已注册.
   */
  THIRD_PARTY_REGISTERED(4019, "Source is registered"),

  /**
   * 任务已完成.
   */
  DAILY_TASK_COMPLETED(4020, "Task completed"),

  /**
   * 注册用户性别为空.
   */
  REGISTER_USER_SEX_IS_NULL(4021, "Register user_sex is null"),

  /**
   * 不可操作自己.
   */
  NOT_OPERATION_ME(4022, "Can't operate yourself"),

  /**
   * 注册黑名单.
   */
  REGISTER_BLACKLIST(4023, "Register blacklist"),

  /**
   * 今日已处理.
   */
  PROCESSED_TODAY(4024, "Processed today"),

  /**
   * 审核中
   */
  UNDER_REVIEW(4025, "Under review"),

  /**
   * 用户资料存在错误.
   */
  USE_PROFILE_ERROR(4026, "User profile error"),

  /**
   * 已绑定银行卡.
   */
  ALREADY_BIND_BANK_CARD(4027, "Bank card is bound"),
  /**
   * 糖果处理.
   */
  CANDY_PROCESS_FAIL(4028, "candy Processing failed"),
  /**
   * 积分处理失败.
   */
  INTEGRAL_PROCESS_FAIL(4029, "integral Processing failed"),

  /**
   * 邀请人不存在.
   */
  INVITER_DOES_NOT_EXIST(4030, "Inviter does not exist"),

  /**
   * 手机号码已注册.
   */
  MOBILE_REGISTERED(4031, "Mobile phone number has been registered"),

  /**
   * 已被绑定.
   */
  ALREADY_BOUND(4032, "Already bound"),

  /**
   * 账号冻结.
   */
  ACCOUNT_FREEZE(4033, "account freeze"),

  /**
   * 无法操作，错误归属.
   */
  INOPERABLE_WRONG_ATTRIBUTION(4044, "Inoperable, wrong attribution"),

  /**
   * CP已存在.
   */
  CP_EXISTED(4045, "There is a CP relationship"),

  /**
   * 您已发送申请.
   */
  YOU_HAVE_SENT_AN_APPLICATION(4046, "You have sent an application"),

  /**
   * 您或者对方已存在cp.
   */
  ME_OR_YOU_CP_EXISTED(4047, "You or the other party has formed a CP"),

  /**
   * 账号已关闭.
   */
  ACCOUNT_CLOSED(4048, "Account closed"),

  /**
   * 卡片已存在.
   */
  CARD_EXISTED(4049, "User friendship card already exists"),

  /**
   * 对方已向你发送申请.
   */
  OTHER_SIDE_ALREADY_APPLIED(4050, "The other party has sent you an application"),

  /**
   * 最少保留一个.
   */
  KEEP_AT_LEAST_ONE(4051, "Keep at least one"),

  /**
   * 已被使用.
   */
  ALREADY_USED(4052, "Already used"),

  /**
   * 已存在相同银行卡.
   */
  REPEAT_BANK_CARD_ERROR(4053, "A bank card with the same information already exists"),

  /**
   * 银行卡不存在.
   */
  BANK_CARD_NOT_FOUND(4054, "Bank card not found"),

  /**
   * 不是经销商.
   */
  NOT_DEALER(4055, "Not a distributor"),

  /**
   * 不是货运代理
   */
  NOT_FREIGHT(4056, "Not a Freight forwarder"),

  /**
   * 经销商发送货运最低金额
   */
  NOT_BELOW_SOME(4057, "Cannot be lower than the minimum amount for dealer recharge"),

  /**
   * 是货运代理
   */
  IS_FREIGHT(4056, "Is a Freight forwarder"),


  /**
   * 密码错误1次.
   */
  PASSWORD_NOT_MATCH_ONE(4057, "Incorrect  password"),

  /**
   * 密码错误2次.
   */
  PASSWORD_NOT_MATCH_TWO(4058, "Incorrect  password"),


  /**
   * 密码错误3次以上.
   */
  PASSWORD_NOT_MATCH_THREE(4059, "Incorrect  password"),

  /**
   * 账号错误.
   */
  ACCOUNT_NOT_MATCH(4060, "Incorrect account"),

  /**
   * 密码不符合规则.
   */
  ACCOUNT_PASSWORD_NOT_COMPLY_WITH_RULES(4061, "Password does not comply with rules"),

  /**
   * 账号已注销或数据删除.
   */
  ACCOUNT_IS_DELETE(4062, "Application submitted"),

  /**
   * 今日已打卡.
   */
  CHECKED_IN(4063, "Checked in today"),

  /**
   * 是经销商.
   */
  IS_DEALER(4064, " a distributor"),

  /**
   * 不是CP.
   */
  NOT_CP_ERROR(4065, "Not CP"),

  /**
   * 已被设置.
   */
  PAY_PASSWORD_ALREADY_SET_UP(4066, "Already set up "),

  /**
   * 支付密码不符合规则.
   */
  PAY_PASSWORD_NOT_COMPLY_WITH_RULES(4067, "Password does not comply with rules"),

  /**
   * 支付密码错误.
   */
  PAY_PASSWORD_ERROR(4068, "Password error"),

  /**
   * 支付密码输入次数已用完.
   */
  PAY_PASSWORD_EXHAUSTED(4069, "Password input count has been exhausted"),

  ;

  private final Integer code;
  private final String message;

  UserErrorEnum(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return null;
  }

}
